<?php

require_once 'database/DAO.class.php';


/**
 * Class Localidades
 */
class Localidades extends DAO {

    static protected $table_param = array(
        'table' => 'codigoPostal',
        'primary_key' => 'cp_id',
        'field_types' => array(
            'cp_id' => 'int',
            'cp_localidad' => 'varchar',
            'cp_proid' => 'int'
        )
    );
    public function __construct() {
        self::setTableParam();
    }

    static public function getPrimaryKeyFieldName() {
        return strtolower(Localidades::$table_param['primary_key']);
    }

    static private function setTableParam() {
        parent::$table_param = self::$table_param;
    }

    static public function getTableName() {
        return self::$table_param["table"];
    }

    static public function getLocalidadListForDropDown($pro_id) {
        self::setTableParam();

        $_ret = false;
        try {

            $_irows = self::getResults(false, "cp_proid = $pro_id", "cp_localidad");
            $_ret = array();

            if ($_irows > 0) {
                while ($_data = self::getNextRow()) {
                    if ($_data !== null) {

                        $_ret[] = array(
                            "value" => $_data["cp_localidad"],
                            "label" => $_data["cp_localidad"]
                        );
                    }
                }
            }

        } catch (Exception $e) {
            echo $e->getMessage();
        }

        return $_ret;
    }

}